# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

slider_menu_item = items.MenuItem(
    # GENERAL
    _('Slider'), 
    reverse('admin:app_list', kwargs={'app_label': 'slider'}),
    children=[
        items.MenuItem(_('Slider'), '',
            children=[
                items.MenuItem(_('Add Slider'), reverse('admin:slider_slider_add',)), 
                items.MenuItem(_('Slider List'), reverse('admin:slider_slider_changelist',) ), 
            ]
        ),
    ]
)


register_menu(slider_menu_item, 'jmb.slider')
